/*
 *  jDTAUS Core Resource Mojo
 *  Copyright (c) 2005 Christian Schulte
 *
 *  Christian Schulte, Haldener Strasse 72, 58095 Hagen, Germany
 *  <cs@jdtaus.org> (+49 2331 3543887)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
package org.jdtaus.mojo.resource;

import java.text.MessageFormat;

/**
 * Mojo for testing property files to contain <code>MessageFormat</code>
 * parseable values.
 *
 * @author <a href="mailto:cs@schulte.it">Christian Schulte</a>
 * @version $Id: MessagesTestMojo.java 5108 2008-07-09 02:29:48Z schulte2005 $
 * @goal test-messageformat
 * @phase process-resources
 */
public final class MessagesTestMojo extends AbstractPropertyFileProcessorMojo
{
    //--AbstractPropertyFileProcessorMojo---------------------------------------

    protected final void processProperty( String key, String value )
        throws InvalidMessageException
    {
        try
        {
            new MessageFormat( value );
        }
        catch ( IllegalArgumentException e )
        {
            throw new InvalidMessageException( value, e );
        }
    }

    //---------------------------------------AbstractPropertyFileProcessorMojo--
}
